# CoopStarter frontend application

This repository is the frontend application of the CoopStarter project.

## Requirements

To be able to run and work on this project, you will need:
- NodeJS
- NPM
- PUG

## Installation

1. Clone the associated coopstarter-server repository
2. Move to the root of this cloned one and run: `python3 manage.py runserver`
3. Open a new console tab
4. Clone this repository in your preferred location (your workspace)
5. Move to the root of the directory : `cd coopstarter-front`
6. Compile the PUG into HTML using the command: `pug --watch ./src/home.pug --out ./dist/`
7. Move to the newly generated `dist` folder
8. Run there the command: `python3 -m http.server 3000`

You should now be able to access the application using your preferred browser on http://localhost:3000/
